
GammaLib - Action #573

Feature # 104 (Closed): Refactor CTA response class

Introduce GCTAAeff class.

10/16/2012 06:15 PM - Knödlseder Jürgen

Status: Closed Start date: 07/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The GCTAAeff class should provide an abstract interface for the CTA effective area.

Implementations of this class should read effective area data in various formats, such as performance files, ARFs, and IRFs in

CALDB format.

History

#1 - 10/16/2012 06:17 PM - Knödlseder Jürgen

- Description updated

#2 - 10/16/2012 10:55 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#3 - 10/17/2012 12:30 AM - Knödlseder Jürgen

- % Done changed from 0 to 30

I just implemented and committed (hess branch) an initial version of the abstract base class GCTAAeff and the implementation GCTAAeff2D.

The abstract base class GCTAAeff defines the general interface to a CTA effective area response.

GCTAAeff2D implements a 2D response format, where effective area is given as function of energy and offset angle. The class makes use of

GCTAResponseTable which implements an interface to the Fermi/LAT like response functions. The GCTAResponseTable implement bi-linear

interpolation in log10(energy) and offset angle.

Implementation of other effective area interfaces are still missing. We want to read Konrad's performance tables (GCTAAeffPerfTable) and 1DC ARF

files (GCTAAeffARF).

The loading of the effective area should be done by the GCTAResponse class. As we do not anticipate for now that external response functions are

use, we probably do not need a registry for the derived GCTAAeff classes.

Note:

We may think now of moving GCTAResponseTable to the GammaLib core as GResponseTable, because the format is used by different instruments.

#4 - 12/01/2012 02:00 AM - Knödlseder Jürgen
- Status changed from In Progress to Feedback

- Remaining (hours) set to 0.0

#5 - 12/01/2012 02:04 AM - Knödlseder Jürgen

- % Done changed from 30 to 100

- Estimated time set to 0.00

The GCTAResponse class has been reworked to handle the effective area classes.

#6 - 01/31/2013 04:48 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

#7 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#8 - 12/11/2013 10:18 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#9 - 07/11/2014 04:15 PM - Knödlseder Jürgen

- Target version set to 1.0.0
